# eric6.QScintilla.MarkupProviders.ImageMarkupDialog

Module implementing a dialog to enter data for an image markup.

### Global Attributes

None

### Classes

ImageMarkupDialog | Class implementing a dialog to enter data for an image markup.

### Functions

None

## ImageMarkupDialog

Class implementing a dialog to enter data for an image markup.

### Derived from

QDialog, Ui_ImageMarkupDialog

### Class Attributes

HtmlMode
MarkDownMode
RestMode

### Class Methods

None

### Methods

ImageMarkupDialog | Constructor
__updateOkButton | Private slot to set the state of the OK button.
getData | Public method to get the entered data.
on_altTextEdit_textChanged | Private slot handling changes of the alternative text.
on_aspectRatioCheckBox_toggled | Private slot to adjust the height to match the original aspect ratio.
on_heightSpinBox_valueChanged | Private slot to adjust the width spin box.
on_imagePicker_textChanged | Private slot handling changes of the image path.
on_sizeCheckBox_toggled | Private slot to reset the width and height spin boxes.
on_widthSpinBox_valueChanged | Private slot to adjust the height spin box.

### Static Methods

None

#### ImageMarkupDialog (Constructor)

ImageMarkupDialog(mode, parent=None)

Constructor

mode (int)
  mode of the dialog
parent (QWidget)
  reference to the parent widget

#### ImageMarkupDialog.__updateOkButton

__updateOkButton()

Private slot to set the state of the OK button.

#### ImageMarkupDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple containing the image address, alternative text, title text, flag to keep the original size, width and height

Return Type:
  tuple of (str, str, str, bool, int, int)

#### ImageMarkupDialog.on_altTextEdit_textChanged

on_altTextEdit_textChanged(txt)

Private slot handling changes of the alternative text.

txt (str)
  alternative text

#### ImageMarkupDialog.on_aspectRatioCheckBox_toggled

on_aspectRatioCheckBox_toggled(checked)

Private slot to adjust the height to match the original aspect ratio.

checked (bool)
  flag indicating the state of the check box

#### ImageMarkupDialog.on_heightSpinBox_valueChanged

on_heightSpinBox_valueChanged(height)

Private slot to adjust the width spin box.

height (int)
  height for the image

#### ImageMarkupDialog.on_imagePicker_textChanged

on_imagePicker_textChanged(address)

Private slot handling changes of the image path.

address (str)
  image address (URL or local path)

#### ImageMarkupDialog.on_sizeCheckBox_toggled

on_sizeCheckBox_toggled(checked)

Private slot to reset the width and height spin boxes.

checked (bool)
  flag indicating the state of the check box

#### ImageMarkupDialog.on_widthSpinBox_valueChanged

on_widthSpinBox_valueChanged(width)

Private slot to adjust the height spin box.

width (int)
  width for the image

Up